Subject: bug#17736: 24.4.50; *-mouse-1 acts on wrong frame

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 14:02:49 +0100

Drew Adams <[email-masked]> writes:

> Sorry; forgot that.  Use this simpler file instead:
>
> ------------8<------------------
>
> ;; runemacs.exe -Q --debug-init  -l "onetest.el" -f "1on1-emacs" "onetest.el"
>
> (defun 1on1-emacs ()
>   ""
>   (interactive)
>   (setq default-frame-alist
>         (list
>          '(font . "-*-Lucida Console-normal-r-*-*-14-*-*-*-c-*-iso8859-1")
>          '(bottom-divider-width . 2)
>          '(minibuffer)))
>   (setq pop-up-frames  t)
>   (setq minibuffer-frame-alist (list '(height . 2)
>                                      '(minibuffer . only))))

All that can't be necessary -- I don't have that font, so the example
still didn't work.

I removed the font setting, though, and tried to follow your recipe.

> (global-set-key [C-S-mouse-1]
> 		(lambda () (interactive)
>                   (message "FR: %S" (selected-frame))))
>
> ------------8<------------------
>
> And I should have said that after step 3 use C-g
> or whatever to end that step's M-x.  And select the
> *scratch* frame.  IOW, step 4 is a repeat of step 3,
> except that you do C-S-mouse-1 in the same frame,
> *scratch*, not in another frame.

And I was unable to, either because I don't understand the recipe, or
because the bugs isn't present in Emacs 28.

Could you provide a simpler step by step recipe to demonstrate the bug?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no